## org.codehaus.groovy.grails.plugins.support.aware
Interface ClassLoaderAware

All Known Implementing Classes:
  DefaultUrlMappingEvaluator

    public interface ClassLoaderAware

Convenience interface that can be implemented by classes that are registered by plugins.

Since:
  0.2
Author:
  Steven Devijver

Method Summary
`void` `setClassLoader(ClassLoader classLoader)` This method is called by the `ApplicationContext` that loads the Grails application.

Method Detail

### setClassLoader

    void setClassLoader(ClassLoader classLoader)

  This method is called by the `ApplicationContext` that loads the Grails application. The `ClassLoader` that loads the Grails application code is injected.

  Parameters:
    `classLoader` - the `ClassLoader` that loads the Grails application code

Copyright (c) 2005-2009 The Grails project